Subject: Re: WWW implementation of PNN
From: timbl (Tim Berners-Lee)
To: Daniel J. Oberst <[email-masked]>
Cc: www-talk, [email-masked], [email-masked]
Date: Mon, 9 Dec 91 17:31:23 GMT+0100

> From: Daniel J. Oberst <[email-masked]>
> Cc: [email-masked], [email-masked]
> 

> Tim,
> 

> Our group has been working with WWW and looking at implementing our  
locally-developed PNN (Princeton News Network) Campus Wide  
Information Service.  Howard Strauss, who designed PNN, has written  
an EXEC that takes the PNN "menu" files and converts them into WWW  
html documents.  We're working on setting up the files and finding a  
place for them so that they can be accessed from WWW.  One nice  
by-product is that we will now have a line-mode access to the  
information in PNN, something that had been requested before (PNN  
only works in 3270 mode on our 3090, VT100 or curses mode on our unix  
implementation, and with Hypercard on a Mac).
- - - - -
> Parenthetically, I thought I had seen something about a 3270  
implementation of WWW, but can't seem to locate it (*even* with  
WWW!). Is there a 3270 implementation different from the line-mode  
version?

   No, it's just the line mode version, with a few clear screen
   calls. As the v1.0 line mdoe browser can scroll backward, we
   should be able to link the PF keys to the browser's commands
   while in WWW. There's no "move-cursor-hit-enter" functionality.
 - - - - - -
> I asssume that the best way to make these available is via HHTP?   
The PNN files here are NFS exported to all machines on campus, so our  
first implementation just used local file hypertext pointers.  I  
assume to make these available, we'd need to use the hhtp tags on the  
file references. Is this what you have done at CERN with your WWW?  
We'll try and get a hhtp server up and running on a test machine and  
try it out

    Great.  If you have a set of html files, an HTTP server (The
    distributed daemon) gives faster access than using anonymous FTP.
    The documentation about setting up the daemon should be complete
    on the web -- if there are holes in it just let me know.
    We use the daemon (httpd) to publish our own documentation on W3,
    but the documenattion comming from VM is actually transcibed
    into html on the fly by a custom server. [The regular daemon
    runs in a service machine, calls an EXEC which leaves the
    html on the stack for the daemon to read off. I  could send you
    C code if you like]. This has the advantage that it takes the
    data right from the source -- it's only stored in one place --
    but the disadvantage for me that a server has to be maintained on
    the strange IBM machine ;-).

> We'll keep you posted on our progress.

   Thanks.

> One side benefit could be that other sites running the PNN code  
could use the same tools to make their info WWW-able!!

    How many other sites are running PNN? It would be great to see
    some more CWISs coming onto the web.

> FYI - I've included below a sample file and conversion that was  
created.

    Looks good. [You could chop the leading spaces on the heading, as
    w3 will center it anyway. Also, the line "
    "Move the cursor to any topic below and press Enter"
    is a little misleading for www users - you might want to
    "hand-craft" just the top level menu page to remove that,
    and possibly put links to other CWISs, etc.]

> Daniel J. Oberst
> Director, Advanced Technology and Applications
> Computing and Information Technology
> Princeton University
> 116 Prospect Avenue
> Princeton, NJ 08544-2089

    Tim Berners-Lee                       [email-masked]
    World Wide Web project                (NeXTMail is ok)	
    CERN                                  Tel: +41(22)767 3755
    1211 Geneva 23, Switzerland           Fax: +41(22)767 7155

__________________________________________________________________
- - - - -
FILE: pnn.mainmenu

@T@          PNN - The Princeton News Network
@M@            Click ONCE on any topic below
@M@
@T@   Move the cursor to any topic below and press Enter
@T@
help dialog*@D@HELP
@A@
index node@N@Index to Information in PNN
new node@N@What's New on PNN
@A@
about inter@I@About PNN
events inter@I@Calendars and Events
org inter@I@Campus Organizations
gphone dialog*@E@Campus Phone Book@GETPHONE
service inter@I@Campus Services & Facilities
computr inter@I@Computing Resources
course inter@I@Curriculum & Course Information
@*@                                Column 2 starts here
@C@
@E@Dial-a-Fortune@FORTUNE
facstaff inter@I@Faculty & Staff Activities
library inter@I@Library Information
misc inter@I@Potpourri
police inter@I@Safety Information
student inter@I@Student & Grad Student Activities
transpor inter@I@Travel & Visitor Information
uemploy inter@I@University Employment Information
policy inter@I@University Policies & Procedures
whoswho inter@I@University Who's Who
weather node@N@Weather Forecast
----------------------------
SCREEN: PNN main menu:

           PNN - The Princeton News Network
    Move the cursor to any topic below and press Enter

HELP                                   Dial-a-Fortune
                                       Faculty & Staff Activities
Index to Information in PNN            Library Information
What's New on PNN                      Potpourri
                                       Safety Information
About PNN                              Student&GradStudent Activities
Calendars and Events                   Travel & Visitor Information
Campus Organizations                   University Employment Info
Campus Phone Book                      University Policies&Procedures
Campus Services & Facilities           University Who's Who
Computing Resources                    Weather Forecast
Curriculum & Course Information        Exit PNN

----------------------------
FILE: pnn.html

<H1>          PNN - The Princeton News Network</H1>
<H2>   Move the cursor to any topic below and press Enter</H2>
<H3></H3>
<UL>
<LI><A HREF=help.dialogww>HELP</A>
<LI><A HREF=index.node>Index to Information in PNN</A>
<LI><A HREF=new.node>What's New on PNN</A>
<LI><A HREF=about.html>About PNN</A>
<LI><A HREF=events.html>Calendars and Events</A>
<LI><A HREF=org.html>Campus Organizations</A>
<LI><A HREF=service.html>Campus Services & Facilities</A>
<LI><A HREF=computr.html>Computing Resources</A>
<LI><A HREF=course.html>Curriculum & Course Information</A>
<LI><A HREF=facstaff.html>Faculty & Staff Activities</A>
<LI><A HREF=library.html>Library Information</A>
<LI><A HREF=misc.html>Potpourri</A>
<LI><A HREF=police.html>Safety Information</A>
<LI><A HREF=student.html>Student & Grad Student Activities</A>
<LI><A HREF=transpor.html>Travel & Visitor Information</A>
<LI><A HREF=uemploy.html>University Employment Information</A>
<LI><A HREF=policy.html>University Policies & Procedures</A>
<LI><A HREF=whoswho.html>University Who's Who</A>
<LI><A HREF=weather.node>Weather Forecast</A>
</UL>